package com.lantone.qc.trans.taizhou;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.InvasiveOperationDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.OrdinaryAssistant;
import com.lantone.qc.trans.taizhou.util.TzXmlUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description: 有创操作记录文档生成
 * @author: rengb
 * @time: 2020/3/17 13:27
 */
public class TaiZhouInvasiveOperationDocTrans extends ModelDocTrans {

    @Override
    public List<InvasiveOperationDoc> extract(MedrecVo medrecVo) {
        List<InvasiveOperationDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            retList.add(getInvasiveOperationDoc(content));
        });
        return retList;
    }

    private InvasiveOperationDoc getInvasiveOperationDoc(String content) {
        Map<String, String> structureMap = OrdinaryAssistant.mapKeyContrast(TzXmlUtil.getXmlToMapForTZ(content), keyContrasts);

        InvasiveOperationDoc invasiveOperationDoc = new InvasiveOperationDoc();
        invasiveOperationDoc.setStructureMap(structureMap);

        return invasiveOperationDoc;
    }

    private List<String> keyContrasts = Lists.newArrayList();

}